Bug 254875 - java/intellij-ultimate: update to 2021.1
Summary: java/intellij-ultimate: update to 2021.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-08 09:21 UTC by Alex Dupre
Modified: 2021-04-12 07:48 UTC (History)
1 user (show)

See Also:
andoriyu: maintainer-feedback+


Attachments
patch (132.78 KB, patch)
2021-04-08 09:21 UTC, Alex Dupre
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Dupre freebsd_committer 2021-04-08 09:21:20 UTC
Created attachment 223914 [details]
patch

- Update to 2021.1
- Fix 64-bit detection for loading vmoptions
- Move patch/remove steps from do-install to post-patch phase
Comment 1 Andrey Cherkashin 2021-04-09 22:14:44 UTC
I had to replace freebsd on my desktop as main OS due to unsupported GPU. If someone wants to take over maintainership of this port, that would be welcomed...
Comment 2 commit-hook freebsd_committer 2021-04-12 07:37:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=ef8598e9171a9edfb3b034e4493a9dc4dfe6d557

commit ef8598e9171a9edfb3b034e4493a9dc4dfe6d557
Author:     Alex Dupre <ale@FreeBSD.org>
AuthorDate: 2021-04-12 07:33:52 +0000
Commit:     Alex Dupre <ale@FreeBSD.org>
CommitDate: 2021-04-12 07:33:52 +0000

    java/intellij-ultimate: update to 2021.1

    PR:             254875
    Submitted by:   ale
    Approved by:    maintainer

 java/intellij-ultimate/Makefile  |   11 +-
 java/intellij-ultimate/distinfo  |    6 +-
 java/intellij-ultimate/pkg-plist | 1349 ++++++++------------------------------
 3 files changed, 284 insertions(+), 1082 deletions(-)
Comment 3 Alex Dupre freebsd_committer 2021-04-12 07:38:34 UTC
Committed. I'm not sure about taking the maintainership, but I consider your comment as an implicit acceptance for next patches I may create, if you don't mind.
Comment 4 Andrey Cherkashin 2021-04-12 07:48:40 UTC
(In reply to Alex Dupre from comment #3)
Sounds reasonable.